using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    private bool IsViewerControlLoaded
    {
        get { return (bool)this.ViewState["IsViewerControlLoaded"]; }
        set { this.ViewState["IsViewerControlLoaded"] = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)        
            this.IsViewerControlLoaded = false;
        
        if (IsViewerControlLoaded)        
            this.LoadViewerControl();        
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (!IsViewerControlLoaded)
        {
            this.LoadViewerControl();
        }
    }

    private void LoadViewerControl()
    {        
        UserControl uc = (UserControl) this.LoadControl("ReportViewerUserControl.ascx");
        this.PlaceHolder1.Controls.Add(uc);
        this.IsViewerControlLoaded = true;
    }
}
